Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class ObjectStoreData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.ObjectStoreData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ObjectStoreData
extends ASN1Object

ObjectStoreData ::= SEQUENCE { version INTEGER. dataSalt OCTET STRING, integrityAlgorithm AlgorithmIdentifier, creationDate GeneralizedTime, lastModifiedDate GeneralizedTime, objectDataSequence ObjectDataSequence, comment UTF8String OPTIONAL }

Constructor Summary
`ObjectStoreData(AlgorithmIdentifier integrityAlgorithm, java.util.Date creationDate, java.util.Date lastModifiedDate, ObjectDataSequence objectDataSequence, java.lang.String comment)`

Method Summary
`java.lang.String` | `getComment()`
`ASN1GeneralizedTime` | `getCreationDate()`
`static ObjectStoreData` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getIntegrityAlgorithm()`
`ASN1GeneralizedTime` | `getLastModifiedDate()`
`ObjectDataSequence` | `getObjectDataSequence()`
`java.math.BigInteger` | `getVersion()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectStoreData

    public ObjectStoreData(AlgorithmIdentifier integrityAlgorithm,
                           java.util.Date creationDate,
                           java.util.Date lastModifiedDate,
                           ObjectDataSequence objectDataSequence,
                           java.lang.String comment)

Method Detail

### getInstance

    public static ObjectStoreData getInstance(java.lang.Object o)

### getComment

    public java.lang.String getComment()

### getCreationDate

    public ASN1GeneralizedTime getCreationDate()

### getIntegrityAlgorithm

    public AlgorithmIdentifier getIntegrityAlgorithm()

### getLastModifiedDate

    public ASN1GeneralizedTime getLastModifiedDate()

### getObjectDataSequence

    public ObjectDataSequence getObjectDataSequence()

### getVersion

    public java.math.BigInteger getVersion()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD